import request from '@/utils/request'

// 查询消气防设施和器材检查计划总列表
export function listMain(query) {
  return request({
    url: '/patrol/main/list',
    method: 'get',
    params: query
  })
}
// 查询消气防设施和器材检查计划总列表
export function listAllMain(query) {
  return request({
    url: '/patrol/main/listAll',
    method: 'get',
    params: query
  })
}

// 查询消气防设施和器材检查计划总详细
export function getMain(id) {
  return request({
    url: '/patrol/main/' + id,
    method: 'get'
  })
}

// 新增消气防设施和器材检查计划总
export function addMain(data) {
  return request({
    url: '/patrol/main',
    method: 'post',
    data: data
  })
}

// 修改消气防设施和器材检查计划总
export function updateMain(data) {
  return request({
    url: '/patrol/main',
    method: 'put',
    data: data
  })
}

// 删除消气防设施和器材检查计划总
export function delMain(id) {
  return request({
    url: '/patrol/main/' + id,
    method: 'delete'
  })
}
